/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.conditionalmappingexample;

import java.util.List;

/**
 *
 * @author omozegieaziegbe
 */
public class ConditionalMappingExample {

    public static void main(String[] args) {
        
       // Creating a sample Order with items, some marked as confidential
        Order order = new Order();
        List<Item> items = List.of(
            new Item("Gullivers Travels", false),
            new Item("Age of Reason", true),
            new Item("Things Fall Apart", false)
        );
        order.setItems(items);

        // Using OrderMapper to map Order to OrderDTO
        OrderDTO orderDTO = OrderMapper.INSTANCE.orderToOrderDTO(order);

        // Displaying the mapped result
        System.out.println("Mapped OrderDTO:");
        for (ItemDTO itemDTO : orderDTO.getItems()) {
            System.out.println("Item: " + itemDTO.getName());
        }
    }
}
